<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$formname = 'Itemwise Sale Register';
$maindb = 'salemain';
$trandb = 'saletran';
$grid = 'itemwise_sale.php';

$zroot = 'cepheisy_msp_root';

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

if (isset($_POST["view"])) {
    if (!empty($_POST["name"])) {
        $iname = trim($_POST["name"]);
        $icond = "AND a.`item` = '$iname'";
        $getitemname = mysqli_query($conn, "SELECT `name` FROM `item` WHERE code='$iname'")or die(mysqli_error($conn));
        $itname = mysqli_fetch_object($getitemname);
        $mitem = $itname->name;
    }

    if (!empty($_POST["pname"])) {
        $pname = trim($_POST["pname"]);
        $pcond = "AND b.`party` = '$pname'";
    }
    if (empty($_POST["frmdt"])) {
        browse("From Date Cannot Be Empty");
        header("refresh:1; itemwise_sale.php");
    }
    if (empty($_POST["todt"])) {
        browse("To Date Cannot Be Empty");
        header("refresh:1; itemwise_sale.php");
    }


    $mfrmdate = trim($_POST["frmdt"]);
    $mtodate = trim($_POST["todt"]);

    $mfdt = date("d-m-Y", strtotime($mfrmdate));
    $mtdt = date("d-m-Y", strtotime($mtodate));

//    $get = mysqli_query($conn, "SELECT *, DATE_FORMAT(`billdate`, '%d-%m-%Y') as mydt FROM `$maindb` WHERE
//                       `vouchdt` >= '$mfrmdate' AND `vouchdt` <= '$mtodate'") or die(mysqli_error($conn));
//    $getno = mysqli_num_rows($get);

    $get = mysqli_query($conn, "SELECT a.*, DATE_FORMAT(b.`invdt`, '%d-%m-%Y') as mydt, b.vouchdt,  b.vouchno, b.party, b.netamt FROM `$trandb`a, `$maindb`b
                       WHERE b.vouchdt >= '$mfrmdate' AND b.vouchdt <= '$mtodate' AND a.`vouchno`=b.`vouchno` $icond $pcond  order by a.vouchno") or die(mysqli_error($conn));

    $getno = mysqli_num_rows($get);
    if ($getno == 0) {

        browse("Record Not Found");
        echo "<script>
            window.close();
            </script>";
    }

    include("includes/linkshead.php");
    ?>
    <style type="text/css">
        #tabital{
            font-style: italic;
        }
        #font1{
            font-style: italic;
        }
        #boldfont{
            font-weight: bold; 
        }
    </style>

    </head>
    <body>
        <div class="container">
            <?php include("includes/head_rep.php"); ?>

            <!--            <div class="row">
                            <div class="col-lg-6">
                                <label class="label-control marg">Date - </label>
                                <label class="label-control marg"><?php Echo Date("d-m-Y"); ?></label>
                            </div>
                            <div class="col-lg-5">
                                <label class="label-control marg">Print - </label>
                                <label class="label-control marg"><?php Echo $formname; ?></label>
                            </div>
                            <div class="col-lg-1">
                                <a onclick="window.close()" class="btn btn-primary">GO Back</a>
                            </div>
                        </div>-->
            <div class="row">
                <div class="col-lg-12 pad">
                    <table style="background: white;width: 100%" class="table table-condensed table-hover">
                        <thead class="mySearchTr">
                            <tr>
                                <th align="left" width='7%'>Voucher No.<i class="icon-sort"></i><i class="icon-sort-down"></i> <i class="icon-sort-up"></i></th>
                                <th align="left" width='7%'>Date<i class="icon-sort"></i><i class="icon-sort-down"></i> <i class="icon-sort-up"></i></th>
                                <th align="left" width='24%'>Party Name<i class="icon-sort"></i><i class="icon-sort-down"></i> <i class="icon-sort-up"></i></th>
                                <th align="right" width='10%' style="text-align: right;">Qty.<i class="icon-sort"></i><i class="icon-sort-down"></i> <i class="icon-sort-up"></i></th>
                                <th align="right" width='9%' style="text-align: right;">Rate<i class="icon-sort"></i><i class="icon-sort-down"></i> <i class="icon-sort-up"></i></th>
                                <th align="right" width='11%' style="text-align: right;">Bill Amount<i class="icon-sort"></i><i class="icon-sort-down"></i> <i class="icon-sort-up"></i></th>

                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $tqty = 0;
                            $trate = 0;
                            $totamt = 0;


                            echo "<label>Item Name - $mitem</label>";
                            $ctr = 0;
                            while ($row = mysqli_fetch_object($get)) {
                                mysqli_select_db($conn, $zdb);
                                $getparty = mysqli_query($conn, "SELECT * FROM `accmast` WHERE  `accode`='$row->party' ORDER BY `name`") or die(mysqli_error($conn));
                                $party = mysqli_fetch_object($getparty);

                                $ctr++;
                                echo "<tr> ";
                                #echo "<td align='left'>$ctr</td>";
                                echo "<td align='left'>$row->vouchno</td>";
                                echo "<td align='left'>$row->mydt</td>";
                                echo "<td align='left'>$party->name</td>";
                                echo "<td align='right'>$row->qty</td>";
                                echo "<td align='right'>$row->rate</td>";
                                echo "<td align='right'>$row->netamt</td>";

                                $tqty = $tqty + $row->qty;
                                $trate = $trate + $row->rate;
                                $totamt = $totamt + $row->netamt;

                                echo "</tr>";
                            }
                            echo "<tr style='background-color:white;'> ";
                            echo "<td align='left'></td>";

                            echo "<td align='left'></td>";

                            echo "<td align='right'><font><b>Total&nbsp;&nbsp;</font></b></td>";
                            echo "<td align='right'><font><b>" . number_format($tqty, 2, '.', '') . "</b></font></td>";
                            echo "<td align='right'><font><b>" . number_format($trate, 2, '.', '') . "</b></font></td>";
                            echo "<td align='right'><font><b>" . number_format($totamt, 2, '.', '') . "</b></font></td>";
                            echo "</tr>";
                            ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php");
        ?>
    </body>
    </html>
    <?php
}
if (isset($_POST["excel"])) {
    if (!empty($_POST["name"])) {
        $iname = trim($_POST["name"]);
        $icond = "AND a.`item` = '$iname'";
        $getitemname = mysqli_query($conn, "SELECT `name` FROM `item` WHERE code='$iname'")or die(mysqli_error($conn));
        $itname = mysqli_fetch_object($getitemname);
        $mitem = $itname->name;
    }

    if (!empty($_POST["pname"])) {
        $pname = trim($_POST["pname"]);
        $pcond = "AND b.`party` = '$pname'";
    }
    if (empty($_POST["frmdt"])) {
        browse("From Date Cannot Be Empty");
        header("refresh:1; itemwise_sale.php");
    }
    if (empty($_POST["todt"])) {
        browse("To Date Cannot Be Empty");
        header("refresh:1; itemwise_sale.php");
    }


    $mfrmdate = trim($_POST["frmdt"]);
    $mtodate = trim($_POST["todt"]);

    $get = mysqli_query($conn, "SELECT a.*, DATE_FORMAT(b.`invdt`, '%d-%m-%Y') as mydt, b.vouchdt,  b.vouchno, b.party, b.netamt FROM `$trandb`a, `$maindb`b
                       WHERE b.vouchdt >= '$mfrmdate' AND b.vouchdt <= '$mtodate' AND a.`vouchno`=b.`vouchno` $icond $pcond  order by a.vouchno") or die(mysqli_error($conn));

    $getno = mysqli_num_rows($get);

    $contents.="Item Name -" . $mitem . "\n";
    $contents.="Voucher No.,Date,Party Name,Qty.,Rate,Bill Amount\n";

    $tqty = 0;
    $trate = 0;
    $totamt = 0;

    $ctr = 0;
    while ($row = mysqli_fetch_object($get)) {
        mysqli_select_db($conn, $zdb);
        $getparty = mysqli_query($conn, "SELECT * FROM `accmast` WHERE  `accode`='$row->party' ORDER BY `name`") or die(mysqli_error($conn));
        $party = mysqli_fetch_object($getparty);

        $ctr++;
        $pvouchno = $row->vouchno;
        $pdate = $row->mydt;
        $ppartyname = $party->name;
        $pqty = $row->qty;
        $prate = $row->rate;
        $pnetamt = $row->netamt;

        $contents.=$pvouchno . ",";
        $contents.=$pdate . ",";
        $contents.=$ppartyname . ",";
        $contents.=$pqty . ",";
        $contents.=$prate . ",";
        $contents.=$pnetamt . "\n";

        $tqty = $tqty + $row->qty;
        $trate = $trate + $row->rate;
        $totamt = $totamt + $row->netamt;
    }
    $contents.=" " . ",";
    $contents.=" " . ",";
    $contents.="Total" . ",";
    $contents.="$tqty" . ",";
    $contents.="$trate" . ",";
    $contents.="$totamt" . "\n";

    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>